Add Follow Up Prompt
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/follow-up-prompts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"title": "Yo",
"link": "",
"description": "Hey what's up?",
"isEscalationPrompt": false
}
EOFimport requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/follow-up-prompts"
payload = {
"title": "Yo",
"link": "",
"description": "Hey what's up?",
"isEscalationPrompt": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Yo',
link: '',
description: 'Hey what\'s up?',
isEscalationPrompt: false
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/follow-up-prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added follow-up prompt to the chatbot successfully",
"data": {}
}{
"success": false,
"message": "Failed to add follow-up prompt to the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ID_REQUIRED",
"message": "chatbotId is required",
"details": null
}
}{
"success": false,
"message": "Failed to add follow-up prompt to the chatbot",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to add follow-up prompt to the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ADD_FOLLOW_UP_PROMPT_FORBIDDEN",
"message": "You are not authorized to add follow-up prompt to this chatbot",
"details": null
}
}{
"success": false,
"message": "Failed to add follow-up prompt to the chatbot",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "PATCH request method is not allowed",
"details": null
}
}{
"success": false,
"message": "Failed to add follow-up prompt to the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ADD_FOLLOW_UP_PROMPT_FAILED",
"message": "Some technical error has occurred !!",
"details": null
}
}Follow-up Prompts
Add Follow Up Prompt
Add a new follow-up prompt to a particular chatbot
POST
/
v0
/
chatbots
/
{chatbotId}
/
follow-up-prompts
Add Follow Up Prompt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your Chatbot ID
Body
application/json
Request body to add a follow-up prompt
Request Body
Title of the follow-up-prompt. This is the text that is shown as button in the chatbot.
Description of the follow-up-prompt. This is the message that will be sent to the chatbot when you click on the follow-up-prompt inside the chatbot.
Link of the follow-up prompt. If this link is added, then when you click on the follow-up prompt in the chatbot, this link will be opened instead of sending a message to the chatbot.
Indicates whether the follow-up prompt is an escalation prompt or not. Default value is false.
Was this page helpful?
⌘I